%global realname mimetypes
%global upstream spawngrid
# Technically, we're noarch; but erlang whose directories we install into is not.
%global debug_package %{nil}


Name:		erlang-%{realname}
Version:	1.0
Release:	8%{?dist}
Summary:	Erlang MIME types library
Group:		Development/Languages
License:	BSD
URL:		https://github.com/%{upstream}/%{realname}
%if 0%{?el7}%{?fedora}
VCS:		scm:git:https://github.com/%{upstream}/%{realname}.git
%endif
Source0:	https://github.com/%{upstream}/%{realname}/archive/%{version}/%{realname}-%{version}.tar.gz
Patch1:		erlang-mimetypes-0001-Update-mime.types.patch
Patch2:		erlang-mimetypes-0002-Use-NL-value-in-COMMENT-declaration.patch
Patch3:		erlang-mimetypes-0003-Skip-MIME-types-w-o-extension.patch
Patch4:		erlang-mimetypes-0004-Unknow-extension-returns-application-octet-stream.patch
Patch5:		erlang-mimetypes-0005-Parse-empty-strings-properly.patch
Patch6:		erlang-mimetypes-0006-No-unicode-symbols-in-file-extensions-allowed.patch
BuildRequires:	erlang-proper
BuildRequires:	erlang-rebar


%description
Erlang MIME types library.


%prep
%setup -q -n %{realname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1


%build
%{erlang_compile}


%install
%{erlang_install}
install -D -p -m 0644 priv/mime.types %{buildroot}%{erlang_appdir}/priv/mime.types


%check
%{erlang_test}


%files
%doc README.md THANKS
%{erlang_appdir}/


%changelog
* Fri May 27 2016 Peter Lemenkov <lemenkov@gmail.com> - 1.0-8
- Spec-file cleanups
- Use erlang-proper for tests

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 07 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.0-2
- Ensure that we're using system-wide rebar
- Preserve timestamps while installing

* Fri Jan 25 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.0-1
- Intial build
